# List tokens

Gets the API tokens collection.

## List API tokens

> List API tokens.\
> Available for all account types (Operations account, Client account, Vendor account).\
> Returns a paged list of API tokens; supports RQL query parameters for filtering and selection.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/api-tokens":{"get":{"tags":["ApiTokens"],"summary":"List API tokens","description":"List API tokens.\nAvailable for all account types (Operations account, Client account, Vendor account).\nReturns a paged list of API tokens; supports RQL query parameters for filtering and selection.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiTokenListResponse"}}}}}}}},"components":{"schemas":{"ApiTokenListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApiToken"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"ApiToken":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"type":"string"},"description":{"type":"string","nullable":true},"lastAccessAt":{"type":"string","format":"date-time","nullable":true},"token":{"type":"string"},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"modules":{"type":"array","items":{"$ref":"#/components/schemas/ModuleRef"}},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/PlatformObjectAuditPlatformExtension"},"nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"ModuleRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"filters":{"allOf":[{"$ref":"#/components/schemas/Filters"}],"nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/ModuleSettings"}],"nullable":true}},"additionalProperties":false},"Filters":{"type":"object","properties":{"group.buyers":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ModuleSettings":{"type":"object","properties":{"sharedAccount":{"type":"boolean","deprecated":true},"configurable":{"type":"boolean"},"default":{"type":"boolean"},"paid":{"type":"boolean"},"type":{"type":"array","items":{"type":"string"}},"obsolete":{"type":"boolean"},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ModuleSettingsEligibility"}],"nullable":true}},"additionalProperties":false},"ModuleSettingsEligibility":{"type":"object","properties":{"multi":{"type":"boolean"},"single":{"type":"boolean"}},"additionalProperties":false},"PlatformObjectAuditPlatformExtension":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}],"nullable":true},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Private","Public","Deleted"],"type":"string"}},"additionalProperties":false}}}}
```
